/* General styles */
:root {
    --padding: 24px;
    --color-accent: #F46C22;
    --color-invert-text: #FFF;
    --border-radius: 8px;
}

body {
    font-family: 'Work Sans', sans-serif;
    font-size: 16px;
    line-height: 24px;
    font-weight: 400;
    letter-spacing: -0.02em;
}

.content {
    padding: var(--padding);
}

.accent {
    color: var(--color-accent);
}

.color-invert {
    color: var(--color-invert-text);
}

.hidden {
    display: none;
}

.visible {
    display: block;
}


/* Page styles */
.page {
    position: relative;
}

.logo {
    width: 180px;
    z-index: 1;
}

/* Hero styles */
.hero {
    position: relative;
    min-height: 480px;
    color: #fff;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    row-gap: 24px;
    padding: var(--padding);
}

.hero__video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.hero__overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #a0a0a0;
    mix-blend-mode: multiply;
}

.hero__content {
    position: relative;
    z-index: 2;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    row-gap: 8px;
}

.hero__headline {
    font-size: 56px;
    line-height: 48px;
    font-weight: 700;
    letter-spacing: -0.03em;
}

.hero__subheadline {
    font-size: 20px;
    line-height: 28px;
    font-weight: 400;
    letter-spacing: -0.02em;
}

.hero__buttons {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    row-gap: 12px;
    margin-top: 16px;
}


/* Section styles */
.section:not(:first-of-type) {
    margin-top: 48px;
}

.section__headline {
    font-size: 32px;
    line-height: 40px;
    font-weight: 700;
    letter-spacing: -0.02em;
}

.section__headline--lg {
    font-size: 40px;
    line-height: 48px;
    font-weight: 700;
    letter-spacing: -0.02em;
}

.section__subheadline {
    margin-top: 8px;
}

.section .hero__buttons {
    margin-top: 24px;
}

.list {
    margin-top: 24px;
    padding-left: 30px;
    list-style-type: none;
}

.list__item {
    position: relative;
}

.list__item:not(:last-of-type) {
    padding-bottom: 8px;
}

.list__item:before {
    content: '';
    position: absolute;
    top: 2px;
    left: -31px;
    width: 24px;
    height: 26px;
    background: url("./assets/icons/icon-check.svg");
    background-repeat: no-repeat;
}

.list__item.list__item--dark:before {
    background: url("./assets/icons/icon-check-dark.svg");
    background-repeat: no-repeat;
}

.icons-grid__container {
    margin-top: 24px;
    padding: 24px;
    background-color: #F4F4F4;
    border: none;
    border-radius: var(--border-radius);
}

.icons-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 24px;
    place-items: center;
    max-width: 264px;
    margin-left: auto;
    margin-right: auto;
}

.icons-grid__item-wrapper {
    width: 72px;
    height: 58px;
    display: flex;       
    justify-content: center;
    align-items: center;
}

.icons-grid__item-wrapper .icons-grid__item {
    height: inherit;
    object-fit: scale-down;
}

.accent-block {
    background-color: var(--color-accent);
    margin-top: 24px;
    border: none;
    border-radius: var(--border-radius);
}

.accent-block__container {
    padding: 24px;
}

.icons-list {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    justify-content: flex-start;
    padding: 0px;
    gap: 32px;
}
  
.icons-list__item {
    flex-grow: 0;
}

.text-container {
    margin-top: 24px;
    display: grid;
    grid-template-columns: 1fr;
    gap: 20px;
}

.text-block__headline {
    font-size: 20px;
    line-height: 28px;
    font-weight: 700;
    letter-spacing: 0.02em;
    margin-bottom: 4px;
}

.disclaimer {
    color: #AAAAAA;
}

.footer {
    margin-top: 48px;
    border-top: 1px solid #AAAAAA;
    padding-top: 24px;
    font-weight: 500;
    display: flex;
    flex-direction: column;
    row-gap: 24px;
}

.footer__social {
    display: flex;
    column-gap: 16px;
}

.footer__links {
    display: flex;
    flex-direction: column;
    row-gap: 8px;
}

.footer__link {
    text-decoration: none;
    color: inherit;
}


/* Popups styles */
.popup__container {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: rgba(0, 0, 0, .5);
    padding: 24px;
    
    z-index: -1;
    opacity: 0;
    transition: .4s ease;
}

.popup__container.open {
    z-index: 2;
    opacity: 1;
}

.popup__window {
    position: relative;
    background-color: #FFF;
    padding: 60px 0 24px;
    border: none;
    border-radius: var(--border-radius);
    max-height: 100%;
}

.popup__scroll-container {
    height: calc(100vh - 132px);
    padding: 0 24px;
    overflow-y: auto;
}

.popup__content {
    font-size: 16px;
    line-height: 24px;
    font-weight: 400;
    letter-spacing: -0.02em;
}

.popup__heading {
    font-size: 32px;
    line-height: 40px;
    font-weight: 700;
    letter-spacing: -0.02em;
}

.popup__text-block {
    margin-top: 12px;
}

.popup__text-block ul {
    padding-left: 24px;
}

.popup__subheading {
    font-size: 18px;
    line-height: 24px;
    font-weight: 700;
    letter-spacing: 0.02em;
    margin-bottom: 4px;
}

.popup__close-button {
    position: absolute;
    top: 24px;
    right: 24px;
    width: 24px;
    height: 24px;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Tablet and Desktop styles */
.form {
    margin-top: 12px;
}

.form__field {
    margin-bottom: 12px;
}

.form label {
    display: block;
    font-size: 12px;
    line-height: 16px;
    font-weight: 400;
    letter-spacing: 0;
    margin-bottom: 4px;
}

.form input:not([type = "submit"]), .form textarea {
    width: 100%;
    padding: 8px 12px;
    border: 1px solid #AAAAAA;
    border-radius: 4px;
    line-height: 1.4em;
    outline-color: #000;
}

.form input::placeholder, .form textarea::placeholder {
    color: #000;
}

.form input:hover, .form textarea:hover {
    border-color: #464646;
}

.form input:focus, .form textarea:focus {
    border-color: #000;
}

.form input[type = "submit"] {
    display: block;
    padding: 6px 16px;
    color: #FFF;
    background-color: var(--color-accent);
    border: none;
    border-radius: 4px;
    margin: 20px auto 0;
    font-size: 14px;
    line-height: 20px;
}

.form__field-error {
    font-size: 12px;
    line-height: 16px;
    color: #B6202D;
    padding-top: 0;
    opacity: 0;
    height: 1px;
}

.form__field.hasError .form__field-error {
    padding-top: 4px;
    opacity: 1;
    height: auto;
}

.form__field.hasError input, .form__field.hasError textarea {
    border-color: #B6202D;
}

.form-success {
    display: none;
}

.asterisk {
    color: var(--color-accent);
}


/* Tablet and Desktop styles */
@media (min-width: 768px) {
    :root {
        --padding: 48px;
    }

    .flex {
        display: flex;
        align-items: center;
        column-gap: 48px;
    }

    .flex--row-reverse {
        flex-direction: row-reverse;
    }

    .flex > * {
        flex: 1;
    }

    .hero__headline {
        font-size: 72px;
        line-height: 72px;
    }

    .hero__subheadline {
        font-size: 22px;
        line-height: 32px;
    }

    .hero__buttons {
        flex-direction: row;
        justify-content: flex-start;
        column-gap: 24px;
    }

    .icons-grid {
        margin-top: 0;
    }

    .accent-block {
        margin-top: 0;
    }

    .icons-list {
        justify-content: center;
    }

    .text-container {
        grid-template-columns: repeat(2, 1fr);
        grid-auto-flow: column;
        gap: 24px 48px;
    }

    .text-block:nth-child(1), .text-block:nth-child(2) {
        grid-column: 1;
    }
    
    .text-block:nth-child(3), .text-block:nth-child(4) {
        grid-column: 2;
    }

    .footer {
        flex-direction: row;
        justify-content: space-between;
        column-gap: 48px;
    }

    .footer > * {
        flex: 1;
    }

    .footer__links {
        flex-direction: row;
        column-gap: 32px;
    }

    .footer__copyrights {
        display: flex;
        flex-direction: column;
        align-items: flex-end;
    }

    .popup__container {
        padding: 48px;
    }

    .popup__scroll-container {
        height: calc(100vh - 180px);
    }
}


/* Desktop styles */
@media (min-width: 1280px) {
    :root {
        --padding: 96px;
    }

    body {
        font-size: 20px;
        line-height: 28px;
    }

    .hero {
        min-height: 720px;
        padding: 48px var(--padding);
        row-gap: 140px;
    }

    .hero__content-wrapper {
        max-width: 1088px;
        width: 100%;
        margin: 0 auto;
    }

    .hero__headline {
        font-size: 96px;
        line-height: 96px;
    }

    .hero__subheadline {
        font-size: 24px;
        line-height: 36px;
    }

    .hero__buttons {
        margin-top: 40px;
    }

    .section {
        max-width: 1088px;
        margin-left: auto;
        margin-right: auto;
    }

    .section:not(:first-of-type) {
        margin-top: 96px;
    }

    .icons-grid {
        padding: 32px;
        row-gap: 48px;
        max-width: 472px;
    }

    .icons-grid__item-wrapper {
        width: 136px;
        height: 100px;
    }

    .icons-grid__item-wrapper .icons-grid__item{
        min-height: 100px;
    }

    .section__headline {
        font-size: 40px;
        line-height: 48px;
    }

    .section .hero__buttons {
        flex-direction: row;
        justify-content: flex-start;
        column-gap: 24px;
    }

    .accent-block .section__subheadline {
        margin-top: 16px;
    }

    .accent-block__container {
        padding: 32px;
    }

    .text-block p.text-block__text {
        font-size: 16px;
        line-height: 24px;
        letter-spacing: -0.02em;
    }

    .disclaimer {
        font-size: 0.826rem;
        line-height: 24px;
        letter-spacing: -0.02em;
    }
    
    .footer {
        font-size: 16px;
        line-height: 24px;
        letter-spacing: -0.02em;
    }

    .footer__copyrights {
        display: flex;
        flex-direction: row;
        justify-content: flex-end;
        align-items: center;
    }

    .popup__window {
        max-width: 1088px;
        margin-left: auto;
        margin-right: auto;
        padding: 128px 0 48px;
    }

    .popup__contact .popup__window {
        max-width: 516px;
    }
    
    .popup__scroll-container {
        padding: 0 48px;
        height: calc(100vh - 272px);
    }
}

